from random import gauss
from math import sqrt
from statistics import mean


# we define our own standard deviation function
def standard_deviation(data):
    data_mean = mean(data)
    s = sum([(x - data_mean) ** 2 for x in data])
    return sqrt(s / (len(data) - 1))


if __name__ == "__main__":
    # we check that it behaves as it should
    sigma = 12  # try with different values
    data = [gauss(40, sigma) for _ in range(20000)]
    print(f"{standard_deviation(data) = }")
    print(f"Expected value: {sigma}")
